org.apache.sling.maven.slingstart.run

## Class ProcessDescriptionProvider

- java.lang.Object
- - org.apache.sling.maven.slingstart.run.ProcessDescriptionProvider

    public class ProcessDescriptionProvider
    extends Object

A singleton which is responsible to provide `ProcessDescription`s

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addRunConfiguration(ProcessDescription cfg, String unlockKey)`
`boolean` `cancelId(String launchpadId, String unlockKey)`
`String` `getId(String launchpadId)` Prepare an ID for a launchpad that will be started, before saving the config.
`static ProcessDescriptionProvider` `getInstance()`
`ProcessDescription` `getRunConfiguration(String launchpadId)`
`boolean` `isRunConfigurationAvailable(String launchpadId)`
`void` `removeRunConfiguration(String launchpadId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ProcessDescriptionProvider getInstance()

#### getId

    public String getId(String launchpadId)
                 throws Exception

Prepare an ID for a launchpad that will be started, before saving the config.

Parameters:
  `launchpadId` - the id of the launchpad to lock
Returns:
  id key used to add to configs
Throws:
  `Exception`

#### cancelId

    public boolean cancelId(String launchpadId,
                            String unlockKey)

Parameters:
  `launchpadId` -
  `unlockKey` -
Returns:

#### getRunConfiguration

    public ProcessDescription getRunConfiguration(String launchpadId)

Parameters:
  `launchpadId` -
Returns:

#### isRunConfigurationAvailable

    public boolean isRunConfigurationAvailable(String launchpadId)

Parameters:
  `launchpadId` -
Returns:

#### addRunConfiguration

    public void addRunConfiguration(ProcessDescription cfg,
                                    String unlockKey)
                             throws Exception

Throws:
  `Exception`

#### removeRunConfiguration

    public void removeRunConfiguration(String launchpadId)